Create a task
curl --request POST \
--url https://api.runaether.dev/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_fix_ci": true,
"auto_fix_pr_comments": true,
"auto_rebase": true,
"model": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"base_branch": "<string>",
"context": {
"attachments": [
{
"data": "<string>",
"filename": "<string>",
"mediaType": "<string>"
}
],
"files": [
{
"include": true,
"path": "<string>"
}
]
}
}
'import requests
url = "https://api.runaether.dev/v1/tasks"
payload = {
"auto_fix_ci": True,
"auto_fix_pr_comments": True,
"auto_rebase": True,
"model": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"base_branch": "<string>",
"context": {
"attachments": [
{
"data": "<string>",
"filename": "<string>",
"mediaType": "<string>"
}
],
"files": [
{
"include": True,
"path": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_fix_ci: true,
auto_fix_pr_comments: true,
auto_rebase: true,
model: '<string>',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
prompt: '<string>',
base_branch: '<string>',
context: {
attachments: [{data: '<string>', filename: '<string>', mediaType: '<string>'}],
files: [{include: true, path: '<string>'}]
}
})
};
fetch('https://api.runaether.dev/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Tasks
Create a task
POST
/
tasks
Create a task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
codex, claude-code, opencode, cursor Available options:
default, plan Minimum string length:
1Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Available options:
ultra, max, xhigh, high, medium, low, ultrathink, ultracode, none ⌘I